%define name    gratuitous-arp
%define version 0.42
%define release 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
BuildArch:      noarch
Summary:        gratuitous ARP wrapper script
License:        GPL
Packager:       Martin A. Brown
Vendor:         linux-ip.net
# Distribution:   
Group:          System/Base
Source0:        %{name}-%{version}.tar.gz
#Patch0:
#Patch1:
#Prereq:
Requires: iputils
Requires: bash
#Conflicts:
BuildRoot: %{_tmppath}/%{name}-%{version}-root/

%description
A shell wrapper around arping (Kuznetsov/iputils version), this
allows simple use of gratuitous ARP for an arbitrary set of IPs.
The script has been written for administrative convenience.

%prep
%setup
#%patch0 -p1
#%patch1 -p0

test "$RPM_BUILD_ROOT" == "/" || rm -rf "$RPM_BUILD_ROOT"
%build
# ./configure
# make

%install
#make DESTDIR=${RPM_BUILD_ROOT} install

# -- install the "etc" tree into the buildroot
#
install -d \
           $RPM_BUILD_ROOT/%{_bindir}/

install    \
           gratuitous-arp \
           $RPM_BUILD_ROOT/%{_bindir}/

%clean
test "$RPM_BUILD_ROOT" == "/" || rm -rf "$RPM_BUILD_ROOT"


# %pre
# %preun
# %post
# %postun
# %trigger
# %triggerun

%files
%defattr(-,root,root)
%doc README ChangeLog
%{_bindir}/*
# %ghost /var/run/%{name}.pid

%changelog
* Sat Sep  9 2006 Martin A. Brown <martin@linux-ip.net> 0.4-1
0.4-1 initial packaging
